<?php
if (!defined ('TYPO3_MODE')) 	die ('Access denied.');

$TCA["tx_cfabwwwminifaq_items"] = Array (
	"ctrl" => $TCA["tx_cfabwwwminifaq_items"]["ctrl"],
	"interface" => Array (
		"showRecordFieldList" => "sys_language_uid,l18n_parent,l18n_diffsource,hidden,fe_group,f_question,f_answer"
	),
	"feInterface" => $TCA["tx_cfabwwwminifaq_items"]["feInterface"],
	"columns" => Array (
		'sys_language_uid' => Array (		## WOP:[tables][1][localization]
			'exclude' => 1,
			'label' => 'LLL:EXT:lang/locallang_general.php:LGL.language',
			'config' => Array (
				'type' => 'select',
				'foreign_table' => 'sys_language',
				'foreign_table_where' => 'ORDER BY sys_language.title',
				'items' => Array(
					Array('LLL:EXT:lang/locallang_general.php:LGL.allLanguages',-1),
					Array('LLL:EXT:lang/locallang_general.php:LGL.default_value',0)
				)
			)
		),
		'l18n_parent' => Array (		## WOP:[tables][1][localization]
			'displayCond' => 'FIELD:sys_language_uid:>:0',
			'exclude' => 1,
			'label' => 'LLL:EXT:lang/locallang_general.php:LGL.l18n_parent',
			'config' => Array (
				'type' => 'select',
				'items' => Array (
					Array('', 0),
				),
				'foreign_table' => 'tx_cfabwwwminifaq_items',
				'foreign_table_where' => 'AND tx_cfabwwwminifaq_items.pid=###CURRENT_PID### AND tx_cfabwwwminifaq_items.sys_language_uid IN (-1,0)',
			)
		),
		'l18n_diffsource' => Array (		## WOP:[tables][1][localization]
			'config' => Array (
				'type' => 'passthrough'
			)
		),
		"hidden" => Array (		## WOP:[tables][1][add_hidden]
			"exclude" => 1,
			"label" => "LLL:EXT:lang/locallang_general.php:LGL.hidden",
			"config" => Array (
				"type" => "check",
				"default" => "0"
			)
		),
		"fe_group" => Array (		## WOP:[tables][1][add_access]
			"exclude" => 1,
			"label" => "LLL:EXT:lang/locallang_general.php:LGL.fe_group",
			"config" => Array (
				"type" => "select",
				"items" => Array (
					Array("", 0),
					Array("LLL:EXT:lang/locallang_general.php:LGL.hide_at_login", -1),
					Array("LLL:EXT:lang/locallang_general.php:LGL.any_login", -2),
					Array("LLL:EXT:lang/locallang_general.php:LGL.usergroups", "--div--")
				),
				"foreign_table" => "fe_groups"
			)
		),
		"f_question" => Array (		## WOP:[tables][1][fields][1][fieldname]
			"exclude" => 0,		## WOP:[tables][1][fields][1][excludeField]
			"label" => "LLL:EXT:cfabwww_minifaq/locallang_db.php:tx_cfabwwwminifaq_items.f_question",		## WOP:[tables][1][fields][1][title]
			"config" => Array (
				"type" => "input",	## WOP:[tables][1][fields][1][type]
				"size" => "30",	## WOP:[tables][1][fields][1][conf_size]
				"eval" => "required",	## WOP:[tables][1][fields][1][conf_required]
			)
		),
		"f_answer" => Array (		## WOP:[tables][1][fields][2][fieldname]
			"exclude" => 0,		## WOP:[tables][1][fields][2][excludeField]
			"label" => "LLL:EXT:cfabwww_minifaq/locallang_db.php:tx_cfabwwwminifaq_items.f_answer",		## WOP:[tables][1][fields][2][title]
			"config" => Array (
				"type" => "text",
				"cols" => "30",
				"rows" => "5",
				"wizards" => Array(
					"_PADDING" => 2,
					## WOP:[tables][1][fields][2][conf_rte_fullscreen]
					"RTE" => Array(
						"notNewRecords" => 1,
						"RTEonly" => 1,
						"type" => "script",
						"title" => "Full screen Rich Text Editing|Formatteret redigering i hele vinduet",
						"icon" => "wizard_rte2.gif",
						"script" => "wizard_rte.php",
					),
				),
			)
		),
	),
	"types" => Array (
		"0" => Array("showitem" => "sys_language_uid;;;;1-1-1, l18n_parent, l18n_diffsource, hidden;;1, f_question, f_answer;;;richtext[cut|copy|paste|formatblock|textcolor|bold|italic|underline|left|center|right|orderedlist|unorderedlist|outdent|indent|link|table|image|line|chMode]:rte_transform[mode=ts_css|imgpath=uploads/tx_cfabwwwminifaq/rte/]")
	),
	"palettes" => Array (
		"1" => Array("showitem" => "fe_group")
	)
);
?>